PTHREAD_SET_NAME_NP(3)

NAME
pthread_set_name_np, pthread_get_name_np - set the name of a thread

SYNOPSIS
libpthread
#include <pthread_np.h>
void
pthread_set_name_np(pthread_t thread, const char *name);
void
pthread_get_name_np(pthread_t thread, char *name, size_t len);

DESCRIPTION
The pthread_set_name_np() function associates name with thread. This can be useful for debugging, as the name is displayed in the thread status as displayed when the process receives the SIGINFO signal.

The string pointed to by name is copied, and so need not be valid for the life of the thread. A maximum of _MAXCOMLEN - 1 bytes of name will be copied.

The pthread_get_name_np() function retrieves name associated with thread. The len of buffer name should be at least _MAXCOMLEN bytes otherwise name will be truncated to fit in a buffer len bytes long.

SEE ALSO
pthreads(3)

STANDARDS
These functions are non-portable and may not be supported with the above semantics on other POSIX systems.